prep for near final builds
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-SiteFiles.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-SiteFiles.sh
index ad2e338..8d35a18 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-SiteFiles.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-SiteFiles.sh
@@ -2,8 +2,12 @@
# script to copy site files
-source ./parseSiteArg.shsource
-source ./properties.shsource
+if [ -z $BUILD_INITIALIZED ]
+then
+ source properties.shsource
+ source parseSiteArg.shsource $stream
+ export BUILD_INITIALIZED=1
+fi
# important: make sure digest is updated same time as site.xml's
# TODO: should digest be recreated on final site? No for "exact" sites, yes, if "merged" sites.
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-code.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-code.sh
index 88133f6..6b53ac4 100644
--- a/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-code.sh
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/copyToMilestoneDirectory-code.sh
@@ -2,11 +2,12 @@
# script to copy update jars from their staging area to the releases area
-
-
-source ./parseSiteArg.shsource
-source ./properties.shsource
-
+if [ -z $BUILD_INITIALIZED ]
+then
+ source properties.shsource
+ source parseSiteArg.shsource $stream
+ export BUILD_INITIALIZED=1
+fi
if [ "${2}" != "-doit" ] ; then
echo ""
diff --git a/org.eclipse.wtp.releng.webupdatesite/build-home/runCreatePack200s.sh b/org.eclipse.wtp.releng.webupdatesite/build-home/runCreatePack200s.sh
new file mode 100644
index 0000000..a224d6e
--- /dev/null
+++ b/org.eclipse.wtp.releng.webupdatesite/build-home/runCreatePack200s.sh
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# script to run update, setting properties, for all projects
+
+function usage() {
+ printf "\n\tUsage: %s [-h] | [-v] [-c] -s stream [-t | -m | -r]" $(basename $0) >&2
+ printf "\n\t\t%s" "where "
+ printf "\n\t\t\t%s\t%s" "-h" "help" >&2
+ printf "\n\t\t\t%s\t%s" "-v" "verbose" >&2
+ printf "\n\t\t\t%s\t%s" "-c" "clean" >&2
+ printf "\n\t\t\t%s\t%s" "-s" "steam" >&2
+ printf "\n\t\t\t%s" "where stream is Ganymede, Europa, etc" >&2
+ printf "\n\t\t\t%s\t%s" "-t" "use temp test update site for stream" >&2
+ printf "\n\t\t\t%s\t%s" "-m" "use milestone update site for stream" >&2
+ printf "\n\t\t\t%s\t%s" "-r" "use release update site for stream" >&2
+}
+
+
+verbose=
+clean=
+stream=
+toUpdateSite=
+while getopts 'hvcs:tmr' OPTION
+do
+ case $OPTION in
+ h) usage
+ exit 1
+ ;;
+ v) export verbose=1
+ ;;
+ c) export clean=1
+ ;;
+ s) stream=$OPTARG
+ ;;
+ t) toUpdateSite=${testUpdateSite}
+ ;;
+ m) toUpdateSite=${milestoneDirectory}
+ ;;
+ r) toUpdateSite=${releaseDir}
+ ?) usage
+ exit 2
+ ;;
+ esac
+done
+
+shift $(($OPTIND - 1))
+
+if [ -z $stream ]
+then
+ echo ""
+ echo " Need a stream argument"
+ usage
+ exit 1
+fi
+
+if [ -z $toUpdateSite ]
+then
+ echo ""
+ echo " Need a toUpdateSite argument"
+ usage
+ exit 1
+fi
+
+if [ -z $BUILD_INITIALIZED ]
+then
+ source properties.shsource
+ source parseSiteArg.shsource $stream
+ export BUILD_INITIALIZED=1
+fi
+
+./ant.sh -f createPack200s.xml -Declipse.home=${eclipseLocation} -Dupdate.site=${toUpdateSite}
+